
# Índice

1. [Requisições](#requisições)<br>
   &nbsp;&nbsp;1.1 [Pedidos](#pedidos)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.1 [Filiais](#filiais)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.2 [Número do Pedido](#número-do-pedido)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.3 [Consumidor](#consumidor)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.4 [Busca de pedidos](#busca-de-pedidos)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.5 [Cancelar pedidos](#cancelar-pedidos)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.6 [Detalhes do pedido](#detalhes-do-pedido)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.7 [Endereço de entrega](#endereço-de-entrega)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.8 [Método de pagamento](#método-de-pagamento)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.9 [Itens do pedido](#itens-do-pedido)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.10 [Observação do item](#observação-do-item)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.11 [Tela de Dashboard](#tela-de-dashboard)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.1.12 [Adiantar pedido agendado](#adiantar-pedido-agendado)<br>
   &nbsp;&nbsp;1.2 [Bloqueios](#bloqueios)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.2.1 [Lojas para Bloqueio](#lojas-para-bloqueio)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.2.2 [Bloqueio de loja](#bloqueio-de-loja)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.2.3 [Desbloqueio de loja](#desbloqueio-de-loja)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.2.4 [Bloqueio de produto](#bloqueio-de-produto)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.2.5 [Produtos para bloqueio](#produtos-para-bloqueio)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.2.6 [Bloqueio de produtos](#bloqueio-de-produtos)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.2.7 [Desbloqueio de produtos](#desbloqueio-de-produtos)<br>
   &nbsp;&nbsp;1.3 [Atraso](#atraso)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.3.1 [Lojas para atraso](#lojas-para-atraso)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.3.2 [Filtro para atraso](#filtro-para-atraso)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.3.3 [Tempo de atraso](#tempo-de-atraso)<br>
   &nbsp;&nbsp;1.4 [Acompanhamento de Logs](#acompanhamento-de-logs)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.4.1 [Logs de erro](#logs-de-erro)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.4.2 [Lista de integrações](#lista-de-integrações)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.4.3 [Lista de filiais](#lista-de-filiais)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.4.4 [Detalhe de Logs](#detalhe-de-Logs)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.4.5 [Deletar logs](#deletar-logs)<br>
   &nbsp;&nbsp;1.5 [Relatórios](#relatórios)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.5.1 [Exportar em PDF](#exportar-em-pdf)<br>
       &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;1.5.2 [Exportar em XLS](#exportar-em-xls)<br>
2. [Parâmetros Específicos](#parâmetros-específicos)<br>
    &nbsp;&nbsp;2.1 [IDRETBALLOJA](#idretballoja)<br>
    &nbsp;&nbsp;2.2 [IDSTCOMANDA](#idstcomanda)<br>
    &nbsp;&nbsp;2.3 [IDSINCAGENDA](#idsincagenda)<br>

---
  
# Requisições
## Pedidos
### Filiais
#### Retorna a lista de filiais existentes
```
URL: /order/branch
Method: GET
Body: JSON
```
#### Response:
```
{
	"error": Boolean, // Informa se houve erro
	"message": String, // Mensagem
	"data": [ Array // dados
		{
			"CDFILIAL": String // Código da Filial
			"LABELFILIAL": String // Nome da Filial
		}
	]
}
```
### Número do Pedido
##### Retorna o número do pedido para busca no filtro
```
URL: /order/number
Method: GET
Body: JSON
```
#### Response:
```
{
	"error": Boolean, // Informa se houve erro
	"message": String, // Mensagem
	"data": [ Array // dados
		{
			"NRCOMANDA": string, // Número da Comanda
			"CODIGOPEDIDO": string, // Código do Pedido
		}
	]
}
```
### Consumidor
##### Retorna o nome do consumidor para busca no filtro
    URL: /order/consumer
    Method: GET
    Body: JSON
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados
        {
            "CONSUMIDOR": string, // Nome do consumidor
        }
    ],
}
```
### Busca de pedidos
##### Realiza a busca de pedidos 
    URL: /order/history
    Method: POST
    Body: JSON
#### Body:
```
{
  "dtInicial": string,// Data Inicial
  "dtFinal": string,// Data Final
  "dtIniAgendada": string,//Data Inicial Pedido Agendado
  "cdFilial": array de strings,//Código da Filial
  "clienteConsumidor": array,//Nome do Consumidor
  "dtFimAgendada": string,//Data Final Pedido Agendado
  "idOrgCmdVenda": string, // ID de Origem da Venda
  "idRetBalLoja": string, // ID do local de retirada
  "idSincAgenda": string, //ID do Pedido Agendado
  "idSincMsde": string, //ID do Pedido Sincronizado
  "idStComanda": string, // Define o Status do pedido
  "nrComanda": string, // Número da Comanda
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // Resposta
        {
            "CDFILIAL": string, // Código da Filial
            "CDLOJA": string, // Código da Loja
            "NRVENDAREST": string, // Número da Venda Restaurante
            "NRCOMANDA": string, // Número da Comanda
            "NRPEDCENTRAL": string, // Número do Pedido Central
            "NRCOMANDAEXT": string, // Número da Comanda Externa
            "IDORGCMDVENDA": string, // Id de Origem da Venda
            "DSAREAATEND": string, // Descrição da Área de Atendimento
            "IDSINCMSDE": string, // Identificador de Sincronização MSDE
            "QTDPROD": string, // Quantidade de Produtos
            "AGENDADO": string, // Indicação se está Agendado ou não
            "IDSTCOMANDA": string, // Identificador do Status da Comanda
            "VRACRCOMANDA": string, // Valor Acumulado da Comanda
            "STATUS": string, // Status Geral
            "VRDESCOMANDA": string, // Valor do Desconto na Comanda
            "DSDESCMOTIV": string, // Descrição do Motivo do Desconto
            "DSREFENDCONSCOM": string, // Descrição da Referência do Endereço do Consumidor na Comanda
            "DSOBSCOMANDA": string, // Descrição das Observações da Comanda
            "NMRAZSOCVEN": string, // Nome ou Razão Social do Vendedor
            "DSEMAILCONS": string, // Descrição do E-mail do Consumidor
            "LABELCONSUMIDOR": string, // Label do Consumidor
            "CDCLIENTE": string, // Código do Cliente
            "FILIAL": string, // Filial
            "CLIENTE": string, // Cliente
            "CDOPERADOR": string, // Código do Operador
            "DTHRAGENDADA": string, // Data e Hora Agendada
            "DTSAIDACMD": string, // Data e Hora de Saída da Comanda
            "TOGO": string, // Indica a Modalidade do Pedido
            "NMENTREGADOR": string, // Nome do Entregador
            "NMCONSUMIDOR": string, // Nome do Consumidor
            "NRTELECONS": string, // Número de Telefone do Consumidor
            "VRPEDIDO": string, // Valor do Pedido
            "ACRESCIMO": string, // Acréscimo no Valor do Pedido
            "VRTOTALPRODUTOS": string, // Valor Total dos Produtos
            "TEMPOPEDIDO": string, // Tempo do Pedido
            "DTHRABERMESA": string // Data e Hora de Abertura da Mesa
        }
    ],
}
```
### Cancelar pedidos
##### Realiza o cancelamento de um pedido 
    URL: /order/cancel
    Method: POST
    Body: JSON
#### Body:
```
{
  "CDFILIAL": string, // Código da Filial
  "CDOPERADOR": string, // Código do Operador
  "DSCANCMOTIV": string, // Descrição do Motivo de Cancelamento
  "NRCOMANDA": string, // Número da Comanda
  "NRVENDAREST": string, // Número da Venda Restaurante
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados]
}
```
### Detalhes do pedido
##### Realiza a busca de dados para o modal de detalhes de pedido 
    URL: /order/details
    Method: POST
    Body: JSON
#### Body:
```
{
    "CDOPERADOR": string, // Código do Operador
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // Resposta
        {
        "NMOPERADOR": string, // Nome do Operador
        "NMRAZSOCVEN": string, // Nome ou Razão Social do Vendedor
        }
    ]
}
```
### Endereço de entrega
##### Realiza a busca de dados detalhados do endereço de entrega
    URL: /order/address
    Method: POST
    Body: JSON
#### Body:
```
{
  "CDFILIAL": string, // Código da Filial
  "NRCOMANDA": string, // Número da Comanda
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados
        {
        "CDPAIS": string, // Código do País
        "SGESTADO": string, // Sigla do Estado
        "CDMUNICIPIO": string, // Código do Município
        "CDBAIRRO": string, // Código do Bairro 
        "DSENDECONSCOMAN": string, // Descrição do Endereço do Consumidor na Comanda
        "DSCOMPLENDCOCOM": string, // Descrição Completa do Endereço do Consumidor na Comanda 
        "DSREFENDCONSCOM": string, // Descrição da Referência do Endereço do Consumidor na Comanda 
        "NRCEPCONSCOMAND": string, // Número do CEP do Consumidor na Comanda
        "NRENDERECO": string, // Número do Endereço
        "NMMUNICIPIO": string, // Nome do Município
        "NMBAIRRO": string, // Nome do Bairro
        "NMPAIS": string, // Nome do País
        "NMESTADO": string // Nome do Estado
        }
    ]
}
```
### Método de pagamento
##### Realiza a busca de dados detalhados do método de pagamento
    URL: /order/paymentMethods
    Method: POST
    Body: JSON
#### Body:
```
{
  "CDFILIAL": string, // Código da Filial
  "NRVENDAREST": string, // Número da Venda Restaurante
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // Resposta
    {
        "IDTIPOMOVIVEDLV": string, // Identificador do Tipo de Movimentação de Venda Delivery
        "VRMOVIVENDDLV": string, // Valor da Movimentação de Venda Delivery
        "NMTIPORECE": string, // Nome do Tipo de Recebimento
        "CDTIPORECE": string // Código do Tipo de Recebimento
    }
    ]
}
```
### Itens do pedido
##### Realiza a busca de dados detalhados dos itens do pedido
    URL: /order/itemsRepo
    Method: POST
    Body: JSON
#### Body:
```
{
  "CDFILIAL": string, // Código da Filial
  "NRCOMANDA": string, // Número da Comanda
  "NRVENDAREST": string // Número da Venda Restaurante
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // Resposta
        {
            "CDPRODUTO": string, // Código do Produto
            "CDPRODUTOGRID": string, // Código do Produto no Grid
            "NMPRODUTO": string, // Nome do Produto
            "DESCRIPTION": string, // Descrição do Produto
            "CDPRODPROMOCAO": string, // Código do Produto em Promoção 
            "VRPRECCOMVEN": string, // Valor do Preço de Compra e Venda
            "QTPRODCOMVEN": number, // Quantidade de Produtos Comprados e Vendidos
            "VRDESCCOMVEN": string, // Valor do Desconto na Compra e Venda
            "VRACRCOMVEN": string, // Valor do Acréscimo na Compra e Venda
            "NRINSCRCONS": string, // Número de Inscrição do Consumidor
            "NRPRODCOMVEN": string, // Número do Produto na Compra e Venda
            "NRSEQPRODCOM": string, // Número Sequencial do Produto na Compra e Venda 
            "CDFILIAL": string, // Código da Filial
            "NRVENDAREST": string, // Número da Venda Restaurante
            "NRCOMANDA": string, // Número da Comanda
            "TOTAL": string, // Valor Total
            "ISCOMBO": boolean // Indica se é um Combo
        }
    ]
}
```
### Observação do item
##### Busca as observações dos itens do pedido
    URL: /order/itemObservation
    Method: POST
    Body: JSON
#### Body:
```
{
  "CDFILIAL": string, // Código da Filial
  "NRCOMANDA": string, // Número da Comanda
  "NRPRODCOMVEN": string, // Número do Produto na Compra e Venda
  "NRVENDAREST": string // Número da Venda Restaurante
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // Resposta
        {
            "DSOCORR": string, // Descrição da Ocorrência
            "CDOCORR": string, // Código da Ocorrência
            "CDGRPOCOR": string, // Código do Grupo da Ocorrência
            "VRPRECCOMVEN": string, // Valor do Preço de Compra e Venda
            "CDFILIAL": string, // Código da Filial
            "NRVENDAREST": string, // Número da Venda Restaurante
            "NRCOMANDA": string, // Número da Comanda
            "NRPRODCOMVEN": string, // Número do Produto na Compra e Venda
            "QTPRODCOMVENOBS": string // Quantidade de Produtos na Compra e Venda com Observações
        }
    ]
}
```
### Tela de Dashboard
##### Busca dados para a tela de dashboard
    URL: /order/dashboard
    Method: POST
    Body: JSON
#### Body:
```
{
  "dtFinal": string, // Data e Hora Final
  "dtInicial": string // Data e Hora Inicial
}
```
#### Response:
```
{
  "lastWeekDatasource": [
    [string, number, number, string], // Dados da última semana (Data, Vendas, Cancelamentos, Valor)
  ],
  "seriesInnerData": [
    [string, number] // Dados internos da série (Nome, Valor)
  ],
  "seriesOuterData": [
    [string, number] // Dados externos da série (Nome, Valor)
  ],
  "salesHour": [number], // Vendas por hora
  "quantSalesToday": number, // Quantidade de Vendas hoje
  "valueSalesToday": number, // Valor das Vendas hoje
  "quantCancelToday": number, // Quantidade de Cancelamentos hoje
  "valueCancelToday": number, // Valor dos Cancelamentos hoje
  "quantCancelCurrentMonth": number, // Quantidade de Cancelamentos no mês atual
  "valueCancelCurrentMonth": number, // Valor dos Cancelamentos no mês atual
  "quantCancelLastMonth": number, // Quantidade de Cancelamentos no mês passado
  "valueCancelLastMonth": number, // Valor dos Cancelamentos no mês passado
  "quantSalesCurrentMonth": number, // Quantidade de Vendas no mês atual
  "valueSalesCurrentMonth": number, // Valor das Vendas no mês atual
  "quantSalesLastMonth": number, // Quantidade de Vendas no mês passado
  "valueSalesLastMonth": number, // Valor das Vendas no mês passado
  "salesMonthModality": array/string // Modalidade de venda por mês
  "salesMonthModalityLegend": string, // Legendas das modalidades de venda
  "salesMonthModalityDatasource": [
    {
      "name": string,
      "type": "line",
      "data": [number],
      "label": {
        "show": boolean,
        "position": string,
        "color": string,
        "fontSize": number,
        "formatter": object
      }
    },
  ],
  "salesMonthModalityData": [string], // Dados de vendas por mês e modalidade
  "salesMonthOrigin": {
    string: { // Mapeamento de dados por mês e origem de venda
      "Callcenter": number,
      "Order API": number
    },
  },
  "salesMonthOriginLegend": [string], // Legendas das origens de venda
  "salesMonthOriginDatasource": [
    {
      "name": string,
      "type": "line",
      "data": [number],
      "label": {
        "show": boolean,
        "position": string,
        "color": string,
        "fontSize": number,
        "formatter": object
      }
    },
  ],
  "salesMonthOriginData": [string], // Dados de origens de vendas por mês
  "cancelMonthOrigin": {
    string: { // Mapeamento de dados por mês e origem de cancelamento
      "Callcenter": number,
      "Order API": number
    },
  },
  "cancelMonthOriginLegend": [string], // Legendas das origens de cancelamento
  "cancelMonthOriginDatasource": [
    {
      "name": string,
      "type": "line",
      "data": [number],
      "label": {
        "show": boolean,
        "position": string,
        "color": string,
        "fontSize": number,
        "formatter": object
      }
    },
  ],
  "cancelMonthOriginData": [string], // Dados de origens de cancelamento por mês
  "quantSalesLast6Month": number, // Quantidade de vendas nos últimos 6 meses
  "quantCancelLast6Month": number, // Quantidade de cancelamentos nos últimos 6 meses
  "valueSalesLast6Month": number, // Valor de vendas nos últimos 6 meses
  "valueCancelLast6Month": number // Valor de cancelamentos nos últimos 6 meses
}
```
### Adiantar pedido agendado
##### Adianta um pedido agendado para produção no momento 
    URL: /order/forwardOrder
    Method: POST
    Body: JSON
#### Body:
```
{
  "CDFILIAL": string, // Código da Filial
  "NRCOMANDA": string, // Número da Comanda
  "NRVENDAREST": string // Número da Venda Restaurante
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados]
}
```
---
# Bloqueios
### Lojas para Bloqueio
##### Retorna as lojas que podem ser bloqueadas em dias específicos
    URL: /branch/storeBlock
    Method: GET
    Body: JSON
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ 
        {
            "CDFILIALGRID": string, // Código da Filial Grid
            "CDFILIAL": string, // Código da Filial
            "FILIAL": string, // Filial
            "NMLOJA": string, // Nome da Loja
            "BLOCK": string, // Bloqueio
            "PARENTID": string // ID do Pai//Paramêtro usado para montagem do Tree Grid 
        },
        {
            "CDFILIALGRID": string, // Código da Filial Grid
            "CDFILIAL": string, // Código da Filial
            "NMLOJA": string, // Nome da Loja
            "NMOPERADOR": string, // Nome do Operador
            "FILIAL": string, // Filial
            "DTHRBLOQUEIO": string, // Data e Hora do Bloqueio
            "NRDIASEMANABLOQ": string, // Número do Dia da Semana Bloqueado
            "LABELNRDIASEMANA": string, // Label do Dia da Semana Bloqueado
            "PARENTID": string, // ID do Pai //Paramêtro usado para montagem do Tree Grid 
            "BLOCK": string // identifica se a loja está ou não bloqueada
        }
    ]
}
```
### Bloqueio de loja
##### Realiza o bloqueio da loja
    URL: /branch/blockStores
    Method: POST
    Body: JSON
#### Body:
```
{
  "CDFILIAL": string, // Código da Filial
  "NRCOMANDA": string, // Número da Comanda
  "NRVENDAREST": string // Número da Venda Restaurante
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados]
}
```
### Desbloqueio de loja
##### Realiza o desbloqueio das lojas
    URL: /branch/unlockStores
    Method: POST
    Body: JSON
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados]
}
```
### Bloqueio de produto
##### Retorna as filiais e lojas para bloqueio de produtos
    URL: /control/branch/productBlock
    Method: GET
    Body: JSON
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados
    {
        "CDFILIALGRID": string, // Código da Filial Grid
        "CDFILIAL": string, // Código da Filial
        "NMLOJA": string, // Nome da Loja
        "PARENTID": string, // ID do Pai //Paramêtro usado para montagem do Tree Grid 
        "PARENTFILIAL": string // Filial do Pai //Paramêtro usado para montagem do Tree Grid 
    },
    {
        "CDFILIALGRID": string, // Código da Filial Grid
        "NMPRODUTO": string, // Nome do Produto
        "NMOPERADOR": string, // Nome do Operador
        "DTHRBLOQUEIO": string, // Data e Hora do Bloqueio
        "NRDIASEMANABLOQ": string, // Número do Dia da Semana Bloqueado
        "CDFILIAL": string, // Código da Filial
        "PARENTID": string, // ID do Pai //Paramêtro usado para montagem do Tree Grid 
        "PARENTFILIAL": string, // Filial do Pai //Paramêtro usado para montagem do Tree Grid 
        "PARENTSTORE": string, // Loja do Pai //Paramêtro usado para montagem do Tree Grid 
        "LABELNRDIASEMANA": string // Label do Dia da Semana Bloqueado
    }

    ]
}
```
### Produtos para bloqueio
##### Realiza a busca dos produtos disponíveis para bloqueio na loja
    URL: /control/branch/availableProductsRepository
    Method: POST
    Body: JSON
#### Body:
```
{
  "CDFILIAL": string, // Código da Filial
  "CDLOJA": string // Código da Loja
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados
    {
        "CDPRODUTO": string, // Código do Produto
        "CDARVPROD": string, // Código da Árvore de Produtos
        "NMPRODUTO": string, // Nome do Produto
        "PRODUTO": string // Descrição do Produto
    }
    ]
}
```
### Bloqueio de produtos
##### Realiza o bloqueio do produto na loja
    URL: /control/branch/blockProducts
    Method: POST
    Body: JSON
#### Body:
```
{
  "CDFILIAL": string, // Código da Filial
  "CDLOJA": string, // Código da Loja
  "CDOPERADOR": string, // Código do Operador
  "CDPRODUTO": [string], // Lista de Códigos de Produtos
  "NRDIASEMANABLOQ": [string] // Lista de Dias da Semana Bloqueados
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados]
}
```
### Desbloqueio de produtos
##### Realiza o desbloqueio do produto na loja
    URL: /control/branch/unblockProducts
    Method: POST
    Body: JSON
#### Body:
```
{
  "CDFILIAL": string, // Código da Filial
  "CDLOJA": string, // Código da Loja
  "NRDIASEMANABLOQ": string // Número do Dia da Semana para Bloqueio
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados]
}
```
---
# Atraso
### Lojas para atraso
##### Retorna as filiais e lojas para registro de atraso para entrega
    URL: /delay/store
    Method: GET
    Body: JSON
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados
    {
        "CDFILIALGRID": string, // Código da Filial para Grade
        "ID": string, // Identificador //Paramêtro usado para montagem do Tree Grid 
        "NMFILIAL": string // Nome da Filial
    }
    {
        "CDLOJA": string, // Código da Loja
        "NMLOJA": string, // Nome da Loja
        "CDFILIAL": string, // Código da Filial
        "HRTEMPOATRASO": string, // Tempo de Atraso
        "PARENT_ITEM": string, // Item Pai //Paramêtro usado para montagem do Tree Grid 
        "ID": string // Identificador //Paramêtro usado para montagem do Tree Grid 
    }
    ]
}
```
### Filtro para atraso
##### Retorna as filiais para realização do filtro
    URL: /delay/filter
    Method: GET
    Body: JSON
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados
    {
        "CDLOJA": string, // Código da Loja
        "NMLOJA": string, // Nome da Loja
        "CDFILIAL": string, // Código da Filial
        "HRTEMPOATRASO": string, // Horas de Tempo de Atraso
        "NMFILIAL": string // Nome da Filial
    }

    ]
}
```
### Tempo de atraso
##### Realiza o registro do tempo de atraso em minutos para a loja
    URL: /delay/updateDelay
    Method: POST
    Body: JSON
#### Body:
```
{
  
  "cdFilial": string, // Código da Filial
  "cdLoja": string, // Código da Loja
  "hrTempoAtraso": string // Horas de Tempo de Atraso
}
```
---
# Acompanhamento de Logs
### Logs de erro
##### Retorna os Logs de erro das integrações
    URL: /logTracking/errorLogs
    Method: GET
    Body: JSON
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ 
        {
            "CDFILIAL": string, // Código da Filial
            "NMFILIAL": string, // Nome da Filial
            "NMINTEGRACAO": string, // Nome da Integração
            "DTINCLUSAO": string (Formato: DD/MM/YYYY HH:mm:ss), // Data de Inclusão
            "DSINTEGRACAOERR": string, // Descrição do Erro de Integração
            "CDINTEGRACAOERR": string // Código do Erro de Integração
        }
    ]
}
```
### Lista de integrações 
##### Retorna a lista de integrações para busca no filtro
    URL: /logTracking/selectTableInteg
    Method: GET
    Body: JSON
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ 
        {
            "NMINTEGRACAO": string, // Nome da Integração
            "CDINTEGRACAO": string // Código da Integração
        }
    ]
}
```

### Lista de filiais
##### Retorna a lista de filiais para busca no filtro
    URL: /logTracking/selectTableFilial
    Method: GET
    Body: JSON
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ 
        {
            "CDFILIAL": string, // Código da Filial
            "NMFILIAL": string // Nome da Filial
        }
    ]
}
```
### Detalhe de Logs
##### Retorna os detalhes dos erros de integração
    URL: /logTracking/logDetails
    Method: GET
    Body: JSON
#### Body:
```
{
  "CDINTEGRACAOERR": string // Código do Erro de Integração
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados]
}
```
### Deletar logs
##### Deleta logs de erro
    URL: /logTracking/deleteLogs
    Method: GET
    Body: JSON
#### Body:
```
{
  "CDINTEGRACAOERR": string // Código do Erro de Integração
}
```
#### Response:
```
{
    "error": Boolean, // Informa se houve erro
    "message": String, // Mensagem 
    "data": [ Array // dados]
}
```
---
# Relatórios
### Exportar em PDF
##### Exporta os dados do grid para PDF
    URL: /reports/exportPDF
    Method: POST
    Body: JSON
#### Body:
```
{
  "cdFilial": string, // Código da Filial
  "cdLoja": string, // Código da Loja
  "clienteConsumidor": string, // Cliente Consumidor
  "dtFimAgendada": string, // Data de Fim Agendada
  "dtFinal": string, // Data Final
  "dtIniAgendada": string, // Data de Início Agendada
  "dtInicial": string, // Data Inicial
  "idOrgCmdVenda": string, // ID de Origem da Venda
  "idRetBalLoja": string, // ID do local de retirada
  "idSincAgenda": string, //ID do Pedido Agendado
  "idSincMsde": string, //ID do Pedido Sincronizado
  "idStComanda": string, // Define o Status do pedido
  "nrComanda": string, // Número da Comanda
  "title": string // Título da aba
}
```
### Exportar em XLS
##### Exporta os dados do grid para XLS
    URL: /reports/exportXLS
    Method: POST
    Body: JSON
#### Body:
```
{
  "cdFilial": string, // Código da Filial
  "cdLoja": string, // Código da Loja
  "clienteConsumidor": string, // Cliente Consumidor
  "dtFimAgendada": string, // Data de Fim Agendada
  "dtFinal": string, // Data Final
  "dtIniAgendada": string, // Data de Início Agendada
  "dtInicial": string, // Data Inicial
  "idOrgCmdVenda": string, // ID de Origem da Venda
  "idRetBalLoja": string, // ID do local de retirada
  "idSincAgenda": string, //ID do Pedido Agendado
  "idSincMsde": string, //ID do Pedido Sincronizado
  "idStComanda": string, // Define o Status do pedido
  "nrComanda": string, // Número da Comanda
  "title": string // Título da aba
}
```
# Parâmetros Específicos
## IDRETBALLOJA
### ID da modalidade do pedido

| Valor | Descrição         |
| ----- | ----------------- |
| C     | Consumo no Local  |
| N     | Delivery          |
| S     | Retirar do Balcão |

## IDSTCOMANDA
### Status do pedido

| Valor   | Descrição    |
| ------- | ------------ |
| 1, 2, 3 | Em produção  |
| 4       | Cancelado    |
| 5       | Espedido     |
| X       | Finalizado   |
| P       | Impresso     |

## IDSINCAGENDA
### Define se o pedido é agendado ou não

| Valor | Descrição    |
| ----- | ------------ |
| S     | Agendado     |
| N     | Não agendado |